org.apache.hadoop.ha

## Class BadFencingConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.ha.BadFencingConfigurationException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class BadFencingConfigurationException
      extends IOException

  Indicates that the operator has specified an invalid configuration for fencing methods.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BadFencingConfigurationException(String msg)`
    `BadFencingConfigurationException(String msg, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadFencingConfigurationException

          public BadFencingConfigurationException(String msg)

    - #### BadFencingConfigurationException

          public BadFencingConfigurationException(String msg,
                                                  Throwable cause)

Copyright © 2022 Apache Software Foundation. All rights reserved.